/*
Theme Name: Sydney Child
Theme URI: http://athemes.com/theme/sydney
Author: aThemes
Author URI: http://athemes.com
Template: sydney
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: sydney
*/

/* color for block identification tests */
/* body {
    background-color: #ffff00;
}
*/

body {
    font-family: Spartan,sans-serif; /*  test */
    font-weight: 400;
}
.shfb-below_header_row {
    min-height: 60px;
}

@media (max-width: 575px) {
    body {
        padding-left: 10px;
        padding-right: 10px;
    }
}
@media (min-width: 992) {
    .shfb-header.shfb-desktop, .shfb-header.shfb-mobile {
        padding: 15px 0 15px 0;
    }
    img.site-logo {
        max-width: 250px;
    }
    .shfb-below_header_row {
        min-height: 60px;
    }
/*    .child-header-spacer-d, .header-spacer-d {
        position: relative;
        display: block; / need online - did not neel on local /
        height: 206px;  / full 272 H=header size /
    }  */
}


/* to improve the front page header */
.wp-block-cover .wp-block-cover__background.has-background-dim.has-background-dim-40 {
    opacity: .2;
}


/*
 *
 * special responsive featured image header block
*/
.child-header-block {
    position:relative;
    margin-top:0;
    margin-bottom:0;
    padding-top:60px;
    padding-right:0;
    padding-bottom:60px;
    padding-left:0;
/*    min-height:10vh  no longer needed */
    min-height: 188px; /*  added = 0 for services page height conflict */
}
.child-feature-image {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%; /*  100%;    */
}
.child-header-title {
    position: relative;
    width: 100%;
    text-align: center;
    margin-top: 0;
    margin-bottom: 0;
    text-transform: uppercase;
    line-height: 1.1;
    font-size: 62px!important;
    color: #ffffff;
}
.child-featured-spacer {
    bottom: 0;
    left: 0;
    opacity: .2;
    position: absolute;
    right: 0;
    top: 0;
}

@media (max-width: 1025px) {
    .child-header-block {
        padding-top:42px;
        padding-bottom:42px;
        min-height: 112px;
        }
    .child-feature-image {
    /*    position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%; */
    }
    .child-header-title {
        font-size: 42px!important;
    }
}

@media only screen and (max-width: 767px) {
    .child-header-block {
        padding-top:24px;
        padding-bottom:24px;
        min-height: 102px;
    }
    .child-feature-image {
    /*    position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%; */
    }
    .child-header-title {
        font-size: 32px!important;
    }
}

@media only screen and (max-width: 598px) {
    .child-header-block {
        padding-top:18px;
        padding-bottom:18x;
        min-height: 82px;
    }
    .child-feature-image {
    /*    position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%; */
    }
    .child-header-title {
        font-size: 24px!important;
    }
}

/* page builder related kinks */
#pgp-related-links {
    text-align: center;
}

/* page builder image grid */
.dynamic-image-grid {
	text-align: center;
}

/*
 * sticky header spacer needed on desktop - see class-header-footer-builder.php
 * heduce height on mobile
*/
.child-header-spacer-d, .header-spacer-d {
    position: relative;
    display: block; /* need online - did not neel on local */
    height: 206px;  /* 272px;   H=header size */
}
.child-header-spacer-m, .header-spacer-m {
    display: none;
}
/* sticky header spacer not needed on mobile - see class-header-footer-builder.php
.header-spacer-m {
    display: none;
}
*/
@media (max-width: 1025px) {
    .child-header-spacer-d, .header-spacer-d {
        display: none;
    }
    .child-header-spacer-m, .header-spacer-m {
        display: none;
    }
}


@media only screen and (max-width: 767px) {
}

/* makes logo img larger and still displays on scroll up */

.site-logo, .shfb-component-logo .site-branding a img.site-logo {
    height: auto!important;
    max-height: 100%;
}

.shfb-main_header_row {
    border-bottom-width: 0;
}

@media (min-width: 992px) {
    .site-logo, .shfb-component-logo .site-branding a img.site-logo
    {
        height: auto!important;
        max-height: 100%;
        max-width: 250px; /* test 032326 */
    }
}

/*
@media only screen and (max-width: 998px) {
}
*/

@media only screen and (max-width: 767px) {
    .page-wrap {
        padding-top: 0px!important;
    }
}


/* force menu to open for testing  */
@media (max-width: 768px) {
    .sydney-offcanvas-menu { display: block !important; }
}

/*  not needed if code was removed from php file
 div.entry-meta.above-title.delimiter-dot {
    display: none;
}
*/

/* color swatch styling
.swatch {
    height: 50px;
    width:50px;
    padding:0;
    margin:0;
    border: 0.5px #000000 solid;
}
.a {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/a.gif") repeat;
}
.b {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/b.gif") repeat;
}
.c {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/c.gif") repeat;
}
.d {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/d.gif") repeat;
}
.e {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/e.gif") repeat;
}
.f {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/f.gif") repeat;
}
.g {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/g.gif") repeat;
}
.h {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/h.gif") repeat;
}
.i {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/i.gif") repeat;
}
.j {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/j.gif") repeat;
}
.k {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/k.gif") repeat;
}
.l {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/l.gif") repeat;
}
.m {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/m.gif") repeat;
}
.n {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/n.gif") repeat;
}
.o {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/o.gif") repeat;
}
.p {
    background: url("http://local.seamlessguttersmaine.com/wp-content/uploads/2026/03/p.gif") repeat;
}
 /color swatch styling */